"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LogStorage = void 0;
function generateCurrentPointer() {
    return Date.now() + '_' + Math.floor(Math.random() * 1000);
}
class LogStorage {
    constructor() {
        this.logBucket = {};
        this.newLogBucket();
    }
    newLogBucket() {
        if (this.currentBucket) {
            delete this.logBucket[this.currentBucket];
        }
        this.currentBucket = generateCurrentPointer();
        this.logBucket[this.currentBucket] = {
            size: 0,
            logItems: [],
        };
    }
    getLogBucketByteSize() {
        return this.logBucket[this.currentBucket].size;
    }
    getLogCount() {
        return this.logBucket[this.currentBucket].logItems.length;
    }
    finishLogBatch() {
        const logs = this.logBucket[this.currentBucket].logItems;
        this.newLogBucket();
        return logs;
    }
    addLog(log, logByteSize) {
        this.logBucket[this.currentBucket].size += logByteSize;
        this.logBucket[this.currentBucket].logItems.push(log);
    }
}
exports.LogStorage = LogStorage;
//# sourceMappingURL=log-storage.js.map